<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net5.0</TargetFramework>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="FluentValidation" Version="9.3.0-preview3" />
        <PackageReference Include="FluentValidation.AspNetCore" Version="9.3.0-preview3" />
        <PackageReference Include="Flurl" Version="3.0.0-pre5" />
        <PackageReference Include="Humanizer.Core" Version="2.8.26" />
        <PackageReference Include="Kirinnee.Helper" Version="1.2.0" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.0-rc.2.20475.6">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="NodaTime" Version="3.0.2" />
        <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="5.0.0-rc2" />
        <PackageReference Include="Serilog" Version="2.10.1-dev-01249" />
        <PackageReference Include="Serilog.AspNetCore" Version="3.4.1-dev-00180" />
        <PackageReference Include="Serilog.Sinks.Console" Version="4.0.0-dev-00839" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="5.6.3" />
        <PackageReference Include="Z.EntityFramework.Plus.EFCore" Version="5.0.0-preview.8.20407.4-05" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Common\Common.csproj" />
      <ProjectReference Include="..\KetoneCoreModels\KetoneCoreModels.csproj" />
    </ItemGroup>

</Project>
